/* -------------------------------------------------------------------------- */
/*                                  Libraries                                 */
/* -------------------------------------------------------------------------- */
import React from "react";
/* -------------------------------------------------------------------------- */
/*                                     SVG                                    */
/* -------------------------------------------------------------------------- */
import { ReactComponent as SVGUserIcon } from "assets/svg/user.svg";
import classNames from "classnames";
/* -------------------------------------------------------------------------- */
/*                              Avatar container                              */
/* -------------------------------------------------------------------------- */

type Props = {
  children?: React.ReactNode;
  width?: string;
  className?:string |undefined;
};

export default function Avatar({ children, width, className }: Props) {
  return (
    <div
      className="relative w-9 h-9 rounded-full bg-gray-400/30 overflow-hidden"
      style={{ width: width, paddingTop: width }}
    >
      <div className={classNames(["absolute top-0 left-0 w-full h-full", className])}>
        {children ? (
          children
        ) : (
          <SVGUserIcon className="w-full h-full stroke-current" />
        )}
      </div>
    </div>
  );
}
